package uk.ac.leeds.ccg.cluster;
import java.awt.*;
import java.io.*;

public class CursorBuild
{
    public static void main(String args[]){
	if(args.length==0)
	    {
		System.err.println("Usage CursorBuild file");
		System.exit(0);
	    }
	Toolkit tk = Toolkit.getDefaultToolkit();
	Image im = tk.getImage(args[0]);
	Cursor c = tk.createCustomCursor(im,new Point(0,0),"Name");
	String name = args[0].substring(0,args[0].indexOf('.'));
	name = name.concat(".cursor");
	System.out.println("-> "+name);
	try
	    {
		ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream(name));
		out.writeObject(c);
		out.close();
	    }
	catch(IOException ie) {System.out.println("Error in write "+ie);}
    }
}
