package uk.ac.leeds.ccg.cluster;
 
import java.awt.*;
import java.awt.event.*;
import uk.ac.leeds.ccg.geotools.*;
import uk.ac.leeds.ccg.dbffile.*;
import uk.ac.leeds.ccg.shapefile.*;
	
public class ColPicker extends java.awt.Dialog implements ActionListener{
	int column = -1;
	Choice data = new Choice();
	public ColPicker(Frame parent,GeoData[] dbs,String text){
		super(parent,"Choose Column");
		setLayout(new BorderLayout());
		Label lab = new Label(text);
		add(lab,"North");
		for(int i=0;i<dbs.length;i++){
			data.add(dbs[i].getName());
		}
		add(data,"Center");
		Panel south = new Panel();
		Button ok = new Button("Ok");
		Button cancel = new Button("Cancel");
		south.add(ok);
		south.add(cancel);
		ok.addActionListener(this);
		cancel.addActionListener(this);
		add(south,"South");
		setModal(true);
		pack();
		show();
	}
	public int getColumn(){
		return column;
	}
	public void actionPerformed(ActionEvent e){
		String cmd = e.getActionCommand();
		if(cmd.equalsIgnoreCase("cancel")){
			column=-1;
			dispose();
		}
		if(cmd.equalsIgnoreCase("ok")){
			column=data.getSelectedIndex();
			dispose();
		}
	}
}
			


		

