package uk.ac.leeds.ccg.cluster;
// interface for assorted constants for GAM/K
//
// J R Davy
//	Dec 1997

public interface Constants
{
    public static final int MAXTAB = 50;
    public static final int MAXBOO = 1000;
    public static final int MAXCAN = 300;
    public static final int MAXADR = 201601;
    public static final int MAXNOR = 1000;
    public static final int MAXEST = 1000;
    public static final int MAXMAP = 1000;

    public static final int BOOTSTRAP = 1;
    public static final int MONTECARLO = 2;
    public static final int POISSON = 3;

    public static final double[] VALS = {
	1.281, 1.34, 1.405, 1.476, 1.555, 1.645, 1.75,
	1.88, 2.05, 2.33, 2.366, 2.41,  2.457, 2.513, 
	2.576, 2.651, 2.749, 2.878, 3.090, 3.1200, 3.1566, 
	3.1950, 3.2390, 3.2915, 3.3545, 3.4345, 3.5475, 3.6730
	};

    public static final double[] THRSH = {
	0.10,  0.09,  0.08,  0.07,  0.06,  0.05, 0.04, 
	0.03, 0.02, 0.01, 0.009, 0.008, 0.007, 0.006, 
	0.005, 0.004, 0.003, 0.002, 0.001, 0.0009, 0.0008, 
	0.0007, 0.0006, 0.0005, 0.0004, 0.0003, 0.0002, 0.0001
	};
}

