/*
 * Point.java
 *
 * Created on February 1, 2001, 3:52 PM
 */




package uk.ac.leeds.ccg.simplefeature;
import java.io.*;
/**
 *
 * @author  jamesm
 * @version 
 */
public class WKBPoint extends java.lang.Object implements Geometry {

	private final static boolean DEBUG=true;
    Tuple2 point[][] = new Tuple2[1][1];
    int partCount=1;

    /** Creates new WKBPolygon */
    public WKBPoint(DataInput in) throws IOException {
		if(DEBUG)System.out.println("---->uk.ac.leeds.ccg.simplefeature.WKBPoint constructed. will identify itself as WPi->");
		if(DEBUG)System.out.println("WPi->Point Feature");
        point[0][0] = new Tuple2(in.readDouble(),in.readDouble());
    }
    
    public Tuple2[][] getParts(){
        return point;
    }

    public int getPartCount() {
        return partCount;
    }
    
    public int getGeometryType() {
        return wkbPoint;
    }
    
}
