/*
 * DbaseTest.java
 *
 * Created on 22 August 2002, 14:05
 */

/**
 * Checks to see if cloning of points vector in database is working properly.
 * @author  iant
 */

import uk.ac.leeds.ccg.cluster.*;
import java.util.*;
public class DbaseTest {
    Database database = new Database();
    /** Creates a new instance of DbaseTest */
    public DbaseTest(String name) {
        database = new Database(name);
        Vector points = database.getPoints();
        Vector cases = new Vector();
        Vector npoints = new Vector();
        System.out.println("from dbase");
        for(int i=0;i<points.size();i++){
            System.out.println("" + i + " " + (MyPoint)points.elementAt(i));
            cases.add(new Integer(((MyPoint)points.elementAt(i)).getCases()));
        }
        Collections.shuffle(cases);
        System.out.println("shuffled cases");
        for(int i=0;i<points.size();i++){
            int c = ((Integer)cases.elementAt(i)).intValue();
            MyPoint np = (MyPoint)((MyPoint)points.elementAt(i)).clone();
            np.setCases(c);
            npoints.add(np);
            System.out.println("" + i + " " + (MyPoint)npoints.elementAt(i));
        }
        points = database.getPoints();
        System.out.println("from dbase");
        for(int i=0;i<points.size();i++){
            System.out.println("" + i + " " + (MyPoint)points.elementAt(i));
        }
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        if(args.length != 1){
            System.out.println("Usage: DbaseTest datafile");
            return;
        }
        DbaseTest dbt = new DbaseTest(args[0]);
    }
    
}
