package uk.ac.leeds.ccg.cluster;
import uk.ac.leeds.ccg.geotools.*;
import uk.ac.leeds.ccg.widgets.*;
public interface  Method extends Runnable
{
    public  String toString();
    public  void run();
    public  void setSearch(GeoRectangle r); // the box to be searched.
    //public void setSpeed(boolean speed);
    public void setData(Database d);
    
    public void setSignificanceTest (SignificanceTest st);
    public  SignificanceTest getSignificanceTest();
    public  void addProgressEventListener(ProgressEventListener lcl);
    public  void removeProgressEventListener(ProgressEventListener lcl);
    public  void notifyProgressEventListener(double progress);
    public  Parameters getParameters();
    public  ParametersViewer getParametersViewer();
    public  Results getResults();
}
